[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# FreeResource

Free a loaded resource

## Declaration

Source position: resh.inc line 66

`function FreeResource(`
`ResData: TFPResourceHGLOBAL`
`):LongBool;`

## Description

FreeResource unloads the resource identified by ResData from memory. The resource must have been loaded by LoadResource. It returns True if the operation was succesful, False otherwise.

## Errors

On error, False is returned.

## See also

FindResource |  | Locate a resource and return a handle to it.
LoadResource |  | Load a resource for use
SizeofResource |  | Return the size of a particular resource
LockResource |  | Lock a resource
UnlockResource |  | Unlock a previously locked resource
FreeResource |  | Free a loaded resource

Documentation generated on: Feb 26 2014